Get detailed metadata for a specific license by SPDX identifier.
curl --request GET \
--url http://api.scanoss.com/v2/licenses/detailsimport requests
url = "http://api.scanoss.com/v2/licenses/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://api.scanoss.com/v2/licenses/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"license": {
"full_name": "<string>",
"type": "UNKNOWN",
"spdx": {
"id": "<string>",
"full_name": "<string>",
"details_url": "<string>",
"reference_url": "<string>",
"is_deprecated": true,
"is_fsf_libre": true,
"is_osi_approved": true,
"see_also": [
"<string>"
],
"cross_refs": [
{
"url": "<string>",
"is_valid": true,
"is_live": true,
"timestamp": "<string>",
"is_wayback_link": true,
"order": 123,
"match": "<string>"
}
],
"exceptions": [
{
"id": "<string>",
"full_name": "<string>",
"details_url": "<string>",
"see_also": [
"<string>"
],
"is_deprecated": true
}
]
},
"osadl": {
"copyleft_clause": true,
"patent_hints": true,
"compatibility": [
"<string>"
],
"depending_compatibility": [
"<string>"
],
"incompatibility": [
"<string>"
],
"use_cases": [
{
"name": "<string>",
"obligation_text": "<string>",
"obligation_json": "<string>"
}
]
}
},
"status": {
"status": "UNSPECIFIED",
"message": "<string>",
"db": {
"schema_version": "<string>",
"created_at": "<string>"
},
"server": {
"version": "<string>"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}License
Get detailed metadata for a specific license by SPDX identifier.
Provides comprehensive license information including SPDX registry data, OSADL compliance metadata, license type classification, and official references.
GET
/
v2
/
licenses
/
details
Get detailed metadata for a specific license by SPDX identifier.
Query Parameters
SPDX identifier or licenseRef (e.g., "MIT", "licenseRef-GitLab-Enterprise")
Response
A successful response.
Response message for GetDetails method.
Provides comprehensive license metadata including SPDX registry information, OSADL compliance data, license type classification, and official references.
Comprehensive license metadata container.
Provides detailed information about a specific license including SPDX registry data, OSADL compliance metadata, license type classification, and official references.
Show child attributes
Show child attributes
Detailed response details.
Show child attributes
Show child attributes
⌘I